Description

Supportanfrage

Während eines ADTF3-Trainings ist uns aufgefallen, das es keine Dokumentation bezüglich des ADTF3 IPC TPC receivers und der

option 'synchronize_zimestamps' gibt.

Was genau ist da die Funktionalität?

Lösung

da fehlt die Doku bei dem Property (betrifft alle IPC Sourcen), diese fehlt leider noch bei ein paar anderen Properties weil die API

Funktionalität erst später bereitgestellt wurde...

Dazu gibt es ein Ticket um das nachzuholen (ACORE-10293, siehe Features ADTF), leider noch nicht erledigt.

Zur Funktionalität:

Per default ist die Property gesetzt und das Sample wird somit mit der Streamtime synchronisiert (Sync2RefTime). Wenn nicht,

nimmt er den Wert der auf Sendeseite gesetzt wurde (zb ein Device Zeitstempel).

Wenn man also die Uhren der zwei ADTF Instanzen synchronisiert (

https://support.digitalwerk.net/adtf/v3/adtf_html/page_clock_synchronization_service_plugin.html#section_clock_syncrhonization),

dann kann man die Property auf false stellen.

History

#1 - 2020-10-12 15:43 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to ADTF::IPC

- Customer set to ELEKTROBIT

- Department set to SUPPORT

Hallo Florian,

du hast recht, da fehlt die Doku bei dem Property (betrifft alle IPC Sourcen), diese fehlt leider noch bei ein paar anderen Properties weil die API

Funktionalität erst später bereitgestellt wurde...

Dazu gibt es ein Ticket um das nachzuholen (ACORE-10293, siehe Features ADTF), leider noch nicht erledigt.

Zur Funktionalität:

Per default ist die Property gesetzt und das Sample wird somit mit der Streamtime synchronisiert (Sync2RefTime). Wenn nicht, nimmt er den Wert

der auf Sendeseite gesetzt wurde (zb ein Device Zeitstempel).

Richtig, Martin ?

#2 - 2020-10-13 11:28 - hidden

Richtig. Wenn man die Uhren der zwei ADTF Instanzen synchronisiert (

https://support.digitalwerk.net/adtf/v3/adtf_html/page_clock_synchronization_service_plugin.html#section_clock_syncrhonization), dann kann man die
Property auf false stellen.

#4 - 2020-10-13 11:32 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10293

- Support Level changed from 2nd Level to 3rd Level

#5 - 2020-10-19 14:15 - hidden

- Project changed from 7 to Public Support

- Subject changed from EBPRODUCTSUPPORT-8061 [EB Internal] IPC TCP Receiver property synchronize_timestamps to

EBPRODUCTSUPPORT-8061 Documentation for property synchronize_timestamps of IPC Streaming Sources is missing

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#6 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
